Bug 607078 - Review Request: perl-File-Type-WebImages - Determine web image file types using magic
Summary: Review Request: perl-File-Type-WebImages - Determine web image file types usi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/File-Type...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 07:15 UTC by Iain Arnell
Modified: 2010-07-08 18:22 UTC (History)
3 users (show)

Fixed In Version: perl-File-Type-WebImages-1.01-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 18:19:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-23 07:15:05 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-File-Type-WebImages.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-File-Type-WebImages-1.01-1.fc14.src.rpm

Description:
mime_type() can use either a filename, or file contents, to determine the
type of a file. The process involves looking the data at the beginning of
the file, sometimes called "magic numbers".

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2266865

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-06-23 10:14:21 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2266865
+ rpmlint output for SRPM and for RPM.
perl-File-Type-WebImages.noarch: W: spelling-error %description -l en_US filename -> file name, file-name, filament
perl-File-Type-WebImages.src: W: spelling-error %description -l en_US filename -> file name, file-name, filament
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ source files match upstream url (sha1sum)
6ad8671092618446305ce86d9ef9ba91f5b6c15e  File-Type-WebImages-1.01.tar.gz
6ad8671092618446305ce86d9ef9ba91f5b6c15e  File-Type-WebImages-1.01.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=15,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.07 cusr  0.02 csys =  0.12 CPU)

+ Package perl-File-Type-WebImages-1.01-1.fc14.noarch=>
Provides: perl(File::Type::WebImages) = 1.01
Requires: perl(base) perl(IO::File) perl(strict) perl(vars) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1
+ Not a GUI application

Suggestions:
1) I think Changelog should include packager email id also.

Comment 2 Iain Arnell 2010-06-23 15:52:23 UTC
New Package CVS Request
=======================
Package Name: perl-File-Type-WebImages
Short Description: Determine web image file types using magic
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-06-26 08:05:02 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-06-26 11:01:28 UTC
spec fixed and imported to rawhide

Comment 5 Fedora Update System 2010-06-26 11:02:00 UTC
perl-File-Type-WebImages-1.01-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-File-Type-WebImages-1.01-1.fc13

Comment 6 Fedora Update System 2010-06-26 11:02:07 UTC
perl-File-Type-WebImages-1.01-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-File-Type-WebImages-1.01-1.fc12

Comment 7 Fedora Update System 2010-06-28 17:11:21 UTC
perl-File-Type-WebImages-1.01-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Type-WebImages'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-Type-WebImages-1.01-1.fc12

Comment 8 Fedora Update System 2010-06-28 17:20:30 UTC
perl-File-Type-WebImages-1.01-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Type-WebImages'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-Type-WebImages-1.01-1.fc13

Comment 9 Fedora Update System 2010-07-08 18:19:42 UTC
perl-File-Type-WebImages-1.01-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-07-08 18:22:05 UTC
perl-File-Type-WebImages-1.01-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.